from wiznet5k import WIZNET5K
from machine import Pin, SPI
import wiznet5k_socket as socket
import time
import struct

spi = SPI(1)
cs = Pin(27,Pin.OUT)
nic = WIZNET5K(spi,cs)
addr = socket.getaddrinfo('time.google.com', 123)[0][-1]

data = b'\x1b' + 47 * b'\0'
client = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)
client.settimeout(1)
client.sendto(data, addr)
recv_data, address = client.recvfrom(1024)

t = struct.unpack('!12I', recv_data)[10]
t = t-3155673600 #
print(time.localtime(t))

